Package ghidra.util.table.field

# Class BytesTableColumn

java.lang.Object
docking.widgets.table.AbstractDynamicTableColumn<ROW_TYPE,COLUMN_TYPE,DATA_SOURCE>
docking.widgets.table.DynamicTableColumnExtensionPoint<ROW_TYPE,COLUMN_TYPE,Program>
ghidra.util.table.field.ProgramLocationTableColumnExtensionPoint<Address,Byte[]>
ghidra.util.table.field.BytesTableColumn

All Implemented Interfaces:
  `DynamicTableColumn<Address,Byte[],Program>`, `ExtensionPoint`, `ProgramBasedDynamicTableColumn<Address,Byte[]>`, `ProgramLocationTableColumn<Address,Byte[]>`

public class BytesTableColumn extends ProgramLocationTableColumnExtensionPoint<Address,Byte[]>
This table field displays the bytes for the code unit beginning at the address associated with a row in the table.

- ## Field Summary

  ### Fields inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `FLOATING_POINT_PRECISION_SETTING, FLOATING_POINT_SETTINGS_DEFINITIONS, INTEGER_RADIX_SETTING, INTEGER_SETTINGS_DEFINITIONS, INTEGER_SIGNEDNESS_MODE_SETTING, NO_SETTINGS_DEFINITIONS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BytesTableColumn()`
  Default Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getColumnDisplayName(Settings settings)`
  Determines the column heading that will be displayed.
  `String`
  `getColumnName()`
  Determines the unique column heading that may be used to identify a column instance.
  `GColumnRenderer<Byte[]>`
  `getColumnRenderer()`
  Returns the optional cell renderer for this column; null if no renderer is used.
  `ProgramLocation`
  `getProgramLocation(Address rowObject, Settings settings, Program program, ServiceProvider serviceProvider)`
  Determines an appropriate program location associated with this field for the indicated row object.
  `SettingsDefinition[]`
  `getSettingsDefinitions()`
  Returns a list of settings definitions for this field.
  `Byte[]`
  `getValue(Address rowObject, Settings settings, Program pgm, ServiceProvider serviceProvider)`
  Creates an object that is appropriate for this field (table column) and for the object that is associated with this row of the table.

  ### Methods inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `equals, getColumnClass, getColumnDescription, getColumnPreferredWidth, getComparator, getComparator, getHeaderRenderer, getMaxLines, getSupportedRowType, getUniqueIdentifier, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface docking.widgets.table.DynamicTableColumn

  `getColumnClass, getColumnDescription, getColumnPreferredWidth, getComparator, getHeaderRenderer, getMaxLines, getSupportedRowType, getUniqueIdentifier`

- ## Constructor Details

  - ### BytesTableColumn

    public BytesTableColumn()
    Default Constructor

- ## Method Details

  - ### getColumnDisplayName

    public String getColumnDisplayName(Settings settings)
    Description copied from interface: `DynamicTableColumn`
    Determines the column heading that will be displayed.
    Specified by:
      `getColumnDisplayName` in interface `DynamicTableColumn<Address,Byte[],Program>`
    Overrides:
      `getColumnDisplayName` in class `AbstractDynamicTableColumn<Address,Byte[],Program>`
    Parameters:
      `settings` - the settings
    Returns:
      the field name to display as the column heading.

  - ### getColumnName

    public String getColumnName()
    Description copied from interface: `DynamicTableColumn`
    Determines the unique column heading that may be used to identify a column instance. This name must be non-changing and is used to save/restore state information.
    Specified by:
      `getColumnName` in interface `DynamicTableColumn<Address,Byte[],Program>`
    Specified by:
      `getColumnName` in class `AbstractDynamicTableColumn<Address,Byte[],Program>`
    Returns:
      the field instance name.

  - ### getValue

    public Byte[] getValue(Address rowObject, Settings settings, Program pgm, ServiceProvider serviceProvider) throws IllegalArgumentException
    Description copied from interface: `DynamicTableColumn`
    Creates an object that is appropriate for this field (table column) and for the object that is associated with this row of the table.
    Specified by:
      `getValue` in interface `DynamicTableColumn<Address,Byte[],Program>`
    Specified by:
      `getValue` in class `AbstractDynamicTableColumn<Address,Byte[],Program>`
    Parameters:
      `rowObject` - the object associated with the row in the table.
      `settings` - field settings
      `pgm` - the expected data object, as defined by the DATA_SOURCE type
      `serviceProvider` - the `ServiceProvider` associated with the table.
    Returns:
      the object for the model to display in the table cell.
    Throws:
      `IllegalArgumentException` - if the rowObject is not one supported by this class.

  - ### getColumnRenderer

    public GColumnRenderer<Byte[]> getColumnRenderer()
    Description copied from interface: `DynamicTableColumn`
    Returns the optional cell renderer for this column; null if no renderer is used.

    This method allows columns to define custom rendering. The interface returned here ensures that the text used for filtering matches what the users sees (via the `GColumnRenderer.getFilterString(Object, Settings)` method).

    Note: some types should not make use of the aforementioned filter string. These types include the `Number` wrapper types, `Date` and `Enum`s. (This is because the filtering system works naturally with these types.) See `GColumnRenderer`.

    Specified by:
      `getColumnRenderer` in interface `DynamicTableColumn<Address,Byte[],Program>`
    Overrides:
      `getColumnRenderer` in class `AbstractDynamicTableColumn<Address,Byte[],Program>`
    Returns:
      the renderer

  - ### getProgramLocation

    public ProgramLocation getProgramLocation(Address rowObject, Settings settings, Program program, ServiceProvider serviceProvider)
    Description copied from interface: `ProgramLocationTableColumn`
    Determines an appropriate program location associated with this field for the indicated row object. The most probable use is for navigating from the field.
    Parameters:
      `rowObject` - the object associated with the table row.
      `settings` - field settings
      `program` - the program associated with the table.
      `serviceProvider` - the plugin tool associated with the table.
    Returns:
      the address associated with the field.

  - ### getSettingsDefinitions

    public SettingsDefinition[] getSettingsDefinitions()
    Description copied from interface: `DynamicTableColumn`
    Returns a list of settings definitions for this field.
    Specified by:
      `getSettingsDefinitions` in interface `DynamicTableColumn<Address,Byte[],Program>`
    Overrides:
      `getSettingsDefinitions` in class `AbstractDynamicTableColumn<Address,Byte[],Program>`
    Returns:
      list of settings definitions for this field.